kildclient(6)

NAME
kildclient - A powerful MUD client with a built-in Perl interpreter

SYNOPSIS
kildclient [options]... [World]...

DESCRIPTION
This manual page documents briefly the KildClient program.

KildClient is a MUD Client written with the GTK+ windowing toolkit. It supports many common features of other clients, such as triggers, gags, aliases, macros, timers, and much more. But its main feature is the built-in Perl interpreter. You can at any moment execute Perl statements and functions to do things much more powerful than simply sending text the the mud. Perl statements can also be run, for example, as the action of a trigger, allowing you to do complex things. Some built-in functions of KildClient allow interaction with the world, such as sending commands to it.

You can specify the name of one or more saved Worlds in the command line, this/these World(s) will be automatically opened. You can also specify a host name to connect to in the command line. By default, connection in made to port 4000. You can specify a different port by using hostname:port. While not recommended, you can also specify a username and password with the following syntax: username:password@hostname:port. This host specification syntax can be prefixed with telnet:// and end with /, for example telnet://some.mud.com:4444/.

If you do not specify any World, you are prompted for the MUD to connect to. You can enter the host and port directly, or you can select from a list of saved MUDs. Once connected, type commands in the separate entry box and press ENTER to send them to the MUD. You can edit the commands before sending, since they only get sent when ENTER is pressed. You can recall previous commands with the arrow keys, or by pressing the button to the right of the command entry box.

There are many more features, many options for configuring the program's behaviour. For more details, see the KildClient manual, which is usually installed in the /usr/share/doc/kildclient directory.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the HTML manual.

--help
    Show summary of options.

--version
    Show version of program.

-c, --config=DIR
    Specifies the directory to use to store configuration files and saved worlds, instead of ~/.kildclient.

--display=DISPLAY
    Specifies the X display to use.

SEE ALSO
perl(1).

The full manual in HTML formats is included with the package. It can generally be found in the /usr/share/doc/kildclient directory.

AUTHOR
KildClient was written by Eduardo M Kalinowski <eduardo@kalinowski.com.br>.

See https://www.kildclient.org for the latest information on KildClient.